/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: mkfifo.c 1.2 90/05/04 $"

#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>

char *progname;

int
main(argc, argv)
int argc;
char **argv;
{
	int errs = 0;
	int i;

	if (NULL == (progname = strrchr(argv[0], '/')))
		progname = argv[0];
	else
		++progname;
	
	if (argc < 2) {
		fprintf(stderr, "usage: %s file(s)\n", progname);
		exit(1);
	}
	for (i = 1; i < argc; ++i) {
		if (-1 == mkfifo(argv[i], 0666)) {
			fprintf(stderr, "%s: ", progname);
			perror(argv[i]);
			++errs;
		}
	}
	exit(errs > 0 ? 1 : 0);
}
